Bug 1701856 - [3.11] Large difference between manually calculated Memory related values and Prometheus query output
Summary: [3.11] Large difference between manually calculated Memory related values and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 3.11.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Pawel Krupa
QA Contact: Viacheslav
URL:
Whiteboard:
Depends On: 1656868
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 09:38 UTC by ggore
Modified: 2019-11-12 05:49 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1656868
Environment:
Last Closed: 2019-10-16 06:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github coreos kube-prometheus pull 191 'None' closed Add node_exporter mixin 2021-01-12 02:24:05 UTC
Github openshift cluster-monitoring-operator pull 456 'None' closed Update node_exporter mixin and kubernetes mixin 2021-01-12 02:24:04 UTC
Red Hat Knowledge Base (Solution) 4177321 Performance tune None Pod metrics in the cluster console show duplicate data in OCP 3.11 2019-05-28 16:21:12 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:28:21 UTC

Comment 9 Frederic Branczyk 2019-05-28 11:24:51 UTC
We have three related BZs in total in this area, I'd suggest we fix all of them at once, by introducing a recording rule for memory/cpu that is used universally across the stack, that way we can have consistency:

* https://bugzilla.redhat.com/show_bug.cgi?id=1712912
* https://bugzilla.redhat.com/show_bug.cgi?id=1703414
* https://bugzilla.redhat.com/show_bug.cgi?id=1701856

I'd expect this to be solved in the 4.2 time frame.

Comment 16 Viacheslav 2019-09-09 13:44:40 UTC
Fixed.

4.2.0-0.nightly-2019-09-08-232045

Comment 17 errata-xmlrpc 2019-10-16 06:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.